> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/cross-region-bandwidth/modifycrossregionbandwidth.md).

# ModifyCrossRegionBandwidth

## 1. API Description

This API (ModifyCrossRegionBandwidth) is used to modify the configurations of the cross-region bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">If the network billing model is</mark> <mark style="color:blue;">`ByBandwidth`</mark><mark style="color:blue;">, the new bandwidth cap must be different from the original one.</mark>
* <mark style="color:blue;">If the network billing model is</mark> <mark style="color:blue;">`ByInstanceBandwidth95`</mark><mark style="color:blue;">, one of the bandwidth commitment and the burst bandwidth must be modified at least. If the burst bandwidth is not specified, it is not changed by default.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type    | Description                                                                                          |
| ---------------------- | -------- | ------- | ---------------------------------------------------------------------------------------------------- |
| crossRegionBandwidthId | Yes      | String  | Cross-region bandwidth ID.                                                                           |
| bandwidth              | Yes      | Integer | <p>Bandwidth cap.</p><p>Value range: \[1, +)</p>                                                     |
| bandwidthCap           | No       | Integer | <p>Burst bandwidth.</p><p>Unit: Mbps.</p><p>Available range: \[1, +).</p><p>Value range: \[1, +)</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. For a cross-region bandwidth with the network billing model of `ByBandwidth`, modify the bandwidth cap to 500 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCrossRegionBandwidth
<Common Request Params>

Request：
{
  "crossRegionBandwidthId": "<your cross id>",
  "bandwidth": 500
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

**2. For a cross-region bandwidth with the network billing model of `ByInstanceBandwidth95`, modify the bandwidth commitment to 500 Mbps and the burst bandwidth to 1000 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCrossRegionBandwidth
<Common Request Params>

Request：
{
  "crossRegionBandwidthId": "<your cross id>",
  "bandwidth": 500,
  "bandwidthCap": 1000
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

**3. For a cross-region bandwidth with the network model of `ByInstanceBandwidth95`, modify the bandwidth commitment to 500 Mbps and leave the burst bandwidth unchanged.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCrossRegionBandwidth
<Common Request Params>

Request：
{
  "crossRegionBandwidthId": "<your cross id>",
  "bandwidth": 500
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

**4. For a cross-region bandwidth with the network model of `ByInstanceBandwidth95`, modify the burst bandwidth to 1000 Mbps and leave the bandwidth commitment unchanged.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCrossRegionBandwidth
<Common Request Params>

Request：
{
  "crossRegionBandwidthId": "<your cross id>",
  "bandwidthCap": 1000
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                            |
| ---------------- | ----------------------------------------- | ------------------------------------------------------ |
| 404              | INVALID\_VPC\_BANDWIDTH\_NOT\_FOUND       | Cross-region bandwidth does not exist.                 |
| 400              | OPERATION\_DENIED\_VPC\_BANDWIDTH\_STATUS | Cross-region bandwidth state does not allow operation. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/cross-region-bandwidth/modifycrossregionbandwidth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
